be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDACKNOWLEDGMENTvalues

- java.lang.Object
- - java.lang.Enum<CDACKNOWLEDGMENTvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDACKNOWLEDGMENTvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDACKNOWLEDGMENTvalues>

      public enum CDACKNOWLEDGMENTvalues
      extends Enum<CDACKNOWLEDGMENTvalues>

  Java class for CD-ACKNOWLEDGMENTvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ACKNOWLEDGMENTvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="always"/>
           <enumeration value="never"/>
           <enumeration value="onerror"/>
           <enumeration value="onsuccess"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS`
    `NEVER`
    `ONERROR`
    `ONSUCCESS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDACKNOWLEDGMENTvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDACKNOWLEDGMENTvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDACKNOWLEDGMENTvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final CDACKNOWLEDGMENTvalues ALWAYS

    - #### NEVER

          public static final CDACKNOWLEDGMENTvalues NEVER

    - #### ONERROR

          public static final CDACKNOWLEDGMENTvalues ONERROR

    - #### ONSUCCESS

          public static final CDACKNOWLEDGMENTvalues ONSUCCESS

  - ### Method Detail

    - #### values

          public static CDACKNOWLEDGMENTvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDACKNOWLEDGMENTvalues c : CDACKNOWLEDGMENTvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDACKNOWLEDGMENTvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDACKNOWLEDGMENTvalues fromValue(String v)

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.